<div class="card animated fadeIn">
    <div class="card-body">
        <div class="container row" *ngIf="!flagTransferir">
            <!-- Fecha -->
            <div class="form-group col-md-3 col-lg-3 col-xl-2">
                <label for="tfecha">Fecha</label>
                <div class="form-group">
                    <input type="text" class="form-control" name="tfecha" [(ngModel)]="movimiento[0].tfecha" readonly>
                </div>
            </div>
            <!-- Codigo -->
            <div class="form-group col-md-3 col-lg-3 col-xl-2">
                <label for="tcod">Código</label>
                <div class="form-group">
                    <input type="text" class="form-control" name="tcod" [(ngModel)]="movimiento[0].tcod" readonly>
                </div>
            </div>
            <!-- Voucher del movimiento -->
            <div class="form-group col-md-3 col-lg-3 col-xl-2">
                <label for="tvouc">Voucher</label>
                <div class="form-group">
                    <input type="text" class="form-control" name="tvouc" [(ngModel)]="movimiento[0].tvouc" readonly>
                </div>
            </div>
            <!-- Moneda -->
            <div class="form-group col-md-3 col-lg-3 col-xl-3">
                <label for="Moneda">Moneda</label>
                <kendo-combobox [data]="dsMonedas" [(ngModel)]="cuenta.tmon" [textField]="'mdesc'"
                    [valueField]="'Moneda'" [readonly]="'true'" name="Moneda" class="w-100">
                </kendo-combobox>
            </div>
            <!-- Tipo de Cambio -->
            <div class="form-group col-md-3 col-lg-3 col-xl-2">
                <label for="ttcamb">T.C.</label>
                <kendo-numerictextbox [format]="'n2'" [(ngModel)]="movimiento[0].ttcamb" [readonly]="'true'"
                    name="ttcamb" class="w-100" style="text-align: right !important;height: 2.5rem;">
                </kendo-numerictextbox>
            </div>
        </div>
        <!--     TRANSFERIR MOVIMIENTO      -->
        <div class="row" id="idTransferir" *ngIf="flagTransferir">
            <div class="col-12 text-center">
                <h5>Transferir Movimientos a Folio</h5>
            </div>
            <div class="row d-flex justify-content-center">
                <div class="col-11">
                    <kendo-grid [data]="movimiento" style="max-height:50vh;">
                        <ng-template kendoGridToolbarTemplate>
                            <div class="row">
                                <div class="form-group col-5 col-sm-5 col-md-4 col-lg-3 col-xl-3">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text"><i class="fa fa-hashtag"></i></div>
                                        </div>
                                        <input type="number" class="form-control" name="inputFolio"
                                            [(ngModel)]="inputFolio" (change)="buscarFolio()">
                                        <span class="input-group-append">
                                            <button (click)="openModal(modalHuesped)" class="btn btn-info"
                                                type="button">
                                                <i class="fa fa-search"></i>
                                            </button>
                                        </span>
                                    </div>
                                </div>
                                <div class="form-group col">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text"><i class="fa fa-user"></i></div>
                                        </div>
                                        <input type="text" class="form-control" name="inputNombre"
                                            [(ngModel)]="inputNombre" readonly>
                                    </div>
                                </div>
                            </div>
                        </ng-template>
                        <ng-container *ngIf="movimiento.length !== 0">
                            <kendo-grid-column field="ttf" title="TF" width="40"></kendo-grid-column>
                            <kendo-grid-column field="tfecha" title="Fecha" width="95"></kendo-grid-column>
                            <kendo-grid-column field="tcod" title="Cod." width="55"></kendo-grid-column>
                            <kendo-grid-column field="tdesc" title="Descripción" width="135"></kendo-grid-column>
                            <kendo-grid-column field="tvouc" title="Voucher" width="75"></kendo-grid-column>
                            <kendo-grid-column field="tcargo" title="Cargos" width="80" class="text-right">
                            </kendo-grid-column>
                            <kendo-grid-column field="tabono" title="Abonos" width="80" class="text-right">
                            </kendo-grid-column>
                            <kendo-grid-column field="tnotas" title="Notas" width="135">
                                <ng-template kendoGridFooterTemplate let-dataItem="dataItem" let-column>
                                    <!-- <strong *ngIf="cuentaSelected.cFp" class="h5 text-primary">Total: {{ value =+ dataItem.tcargo }}</strong>  -->
                                </ng-template>
                            </kendo-grid-column>
                        </ng-container>
                    </kendo-grid>
                </div>
            </div>
        </div>
        <!--    SEPARAR MOVIMIENTOS   -->
        <div class="row col-10" id="idSplit" *ngIf="flagSplit">
            <!-- <div class="col-12 text-center">
            <h5>Separa Movimientos</h5>
        </div> -->
            <div class="col-3">
                <div class="form-group text-center col-12">
                    <h5>Tipo</h5>
                    <button type="button" class="btn btn-block py-3 m-1"
                        (click)="tipoSplit = 'Porcentaje'; desglosarPorciones(porciones);"
                        [ngClass]="{'btn-success': tipoSplit === 'Porcentaje', 'btn-light': tipoSplit !== 'Porcentaje'}">Porcentaje
                    </button>
                    <button type="button" class="btn btn-block py-3 m-1"
                        (click)="tipoSplit = 'Monto'; desglosarPorciones(porciones);"
                        [ngClass]="{'btn-success': tipoSplit === 'Monto','btn-light': tipoSplit !== 'Monto'}">Monto
                    </button>
                </div>
            </div>
            <div class="col">
                <div class="form-group text-center col-12">
                    <h5>Separar en {{ tipoSplit }}</h5>
                    <ng-container *ngFor="let item of totalPorciones; let index = index;">
                        <button type="button" class="btn col-2 my-3 py-3 m-1" (click)="desglosarPorciones(item + 2)"
                            [ngClass]="{'btn-warning': (item + 2) !== porciones, 'btn-orange': (item + 2) === porciones}">{{ item + 2 }}
                        </button>
                    </ng-container>
                    <div class="row">
                        <div id="confirmar-porciones" class="container col" *ngIf="desglosePorciones">
                            <div class="row d-flex justify-content-center">
                                <div class="col-12">
                                    <h6>Subtotal</h6>
                                </div>
                                <ng-container
                                    *ngFor="let item of arrayPorciones; let index = index; trackBy:trackByIndex;">
                                    <kendo-numerictextbox [format]="'n2'" [(ngModel)]="arrayPorciones[index]"
                                        (change)="onChangePorciones($event.target.value, arrayPorciones)"
                                        name="arrayPorciones" class="w-100 col-6 my-1"
                                        style="text-align: right !important;height: 2.5rem;"></kendo-numerictextbox>
                                </ng-container>
                            </div>
                        </div>
                        <div id="confirmar-propinas" class="container col" *ngIf="desglosePorciones">
                            <div class="row d-flex justify-content-center">
                                <div class="col-12">
                                    <h6>Propina</h6>
                                </div>
                                <ng-container
                                    *ngFor="let item of arrayPorciones; let index = index; trackBy:trackByIndex;">
                                    <kendo-numerictextbox [format]="'n2'" [(ngModel)]="arrayPorciones[index]"
                                        (change)="onChangePorciones($event.target.value, arrayPorciones)"
                                        name="arrayPorciones" class="w-100 col-6 my-1"
                                        style="text-align: right !important;height: 2.5rem;"></kendo-numerictextbox>
                                </ng-container>
                            </div>
                        </div>
                    </div>

                    <h6 class="text-center">{{ errorPorciones }}</h6>
                </div>
            </div>
        </div>
    </div>
    <!-- Aceptar o Salir -->
    <div class="card-footer d-flex justify-content-center">
        <button type="button" class="btn btn-success px-4 py-2" (click)="guardarForm();">
            <i class="fa fa-check mr-2"></i>Aceptar
        </button>
        <ng-content></ng-content>
    </div>
</div>
<!-- BUSQUEDA DE HUESPED -->
<ng-template #modalHuesped let-c="close" let-d="dismiss">
    <div class="modal-header">
        Huespedes en Casa
    </div>
    <div class="modal-body">
        <app-buscar (resultFolio)="resultHuesped($event);c('Close click');"></app-buscar>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-primary" (click)="c('Close click')">Cerrar</button>
    </div>
</ng-template>